
Core - Bug # 16276

Status: Closed Priority: Should have
Author: Bernd Hanisch Category: Install Tool
Created: 2006-06-23 Assigned To:
Updated: 2014-05-22 Due date:
TYPO3 Version: 4.0
PHP Version: 4.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: Database Analyser - Compare proposes "ALTER ..... NOT NULL" again and again
Description

ALTER TABLE be_users CHANGE lang lang char(2) NOT NULL default '';
    Current value: varchar(2) default ''
    ALTER TABLE tx_dam CHANGE language language char(3) NOT NULL default '';
    Current value: varchar(3) default ''
    ALTER TABLE tx_dam CHANGE loc_country loc_country char(3) NOT NULL default '';
    Current value: varchar(3) default ''
    ALTER TABLE tx_dam CHANGE height_unit height_unit char(3) NOT NULL default '';
    Current value: varchar(3) default ''
    ALTER TABLE static_countries CHANGE cn_iso_2 cn_iso_2 char(2) NOT NULL default '';
    Current value: varchar(2) default ''
    ALTER TABLE static_countries CHANGE cn_iso_3 cn_iso_3 char(3) NOT NULL default '';
    Current value: varchar(3) default ''
    ALTER TABLE static_countries CHANGE cn_tldomain cn_tldomain char(2) NOT NULL default '';
    Current value: varchar(2) default ''
    ALTER TABLE static_countries CHANGE cn_currency_iso_3 cn_currency_iso_3 char(3) NOT NULL default '';
    Current value: varchar(3) default ''
    ALTER TABLE static_country_zones CHANGE zn_country_iso_2 zn_country_iso_2 char(2) NOT NULL default '';
    Current value: varchar(2) default ''
    ALTER TABLE static_country_zones CHANGE zn_country_iso_3 zn_country_iso_3 char(3) NOT NULL default '';
    Current value: varchar(3) default ''
    ALTER TABLE static_currencies CHANGE cu_iso_3 cu_iso_3 char(3) NOT NULL default '';
    Current value: varchar(3) default ''
    ALTER TABLE static_languages CHANGE lg_iso_2 lg_iso_2 char(2) NOT NULL default '';
    Current value: varchar(2) default ''
    ALTER TABLE static_languages CHANGE lg_typo3 lg_typo3 char(2) NOT NULL default '';
    Current value: varchar(2) default ''

that happen, if u have your typo3-installation configured for utf8 support (also the mysql-database)
[SYS][setDBinit] = SET names 'utf8';

any suggestions how to fix this?

(issue imported from #M3728)

Related issues:
related to Core - Bug # 14742: Install - Databanalyser - Compare Closed 2005-05-18
related to Core - Bug # 17243: Install tool's DB compare shows wrong tables t... Closed 2007-04-25
related to Core - Bug # 23465: db compare in install tool and ext-manager rep... Closed 2010-08-27
History
#1 - 2006-06-25 17:58 - Jorgo S.

I can confirm the problem, same setup here.

#2 - 2006-08-08 14:36 - Hans-Georg Althoff

I had issued the Bug 1088. 
In some verions of Typo3 it was gone, but now in 4.0 and 4.01 its back again, but this time it is different.

I have checked it with phpmyadmin and see a difference between the current value from compare. The difference ist he NOT NULL.
phpmyadmin shows always the NOT NULL, compare doesn't.

So in my opinion, on the first view it looks like 1088, but is not exact the same.

#3 - 2006-08-11 12:32 - Sebastian Kurfuerst

keyword:t3dd06

#4 - 2006-10-24 13:27 - Helmut Rieth

keyword:t3dd06 -> what does this mean? I haven't been there...

I think the problem is a silent type change of mysql f.e. described at:
http://dev.mysql.com/doc/refman/5.0/en/silent-column-changes.html

#5 - 2010-05-08 15:48 - Chris topher

Is this still a problem in current versions?

#6 - 2010-05-10 08:45 - Björn Pedersen

Yes, Typo3 4.4 trunk

Some examples: 
Changing fields

4. ALTER TABLE tx_frm2_conferences_Conference CHANGE pid pid INT(10) UNSIGNED default 0;
      Current value: int(10) unsigned default '0'

ALTER TABLE tx_frm2_conferences_AbstractCategory CHANGE deleted deleted BOOLEAN default 0;
Current value: tinyint(1) default '0'
ALTER TABLE tx_frm2newpm_divisions CHANGE parent_division parent_division int(11);
Current value: int(11) default ''

So fields with no default  and e.g. boolean fields  are definitly affected.
#7 - 2014-01-13 17:26 - Alexander Opitz
- Status changed from New to Needs Feedback
- Target version deleted (0)
- Is Regression set to No

Hi,

as this issue is very old. Does the problem still exists within newer versions of TYPO3 CMS (6.1.7)?

#8 - 2014-05-22 14:35 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No feedback within the last 90 days => closing this ticket.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.
